# List acc, org or proj webhooks

Endpoint: GET /code/api/v1/webhooks
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    Account Identifier for the Entity.

  - `orgIdentifier` (string)
    Organization Identifier for the Entity.

  - `projectIdentifier` (string)
    Project Identifier for the Entity.

  - `query` (string)
    The substring which is used to filter the webhooks by their identifier.

  - `sort` (string)
    The data by which the webhooks are sorted.
    Enum: "id", "uid", "display_name", "created", "updated"

  - `order` (string)
    The order of the output.
    Enum: "asc", "desc"

  - `page` (integer)
    The page to return.

  - `limit` (integer)
    The maximum number of results to return.

## Response 200 fields (application/json):

  - `created` (integer)

  - `created_by` (integer)

  - `description` (string)

  - `display_name` (string)

  - `enabled` (boolean)

  - `extra_headers` (array)

  - `extra_headers.key` (string)

  - `extra_headers.masked` (boolean)

  - `extra_headers.value` (string)

  - `has_secret` (boolean)

  - `id` (integer)

  - `identifier` (string)

  - `insecure` (boolean)

  - `latest_execution_result` (string,null)
    Enum: "fatal_error", "retriable_error", "success"

  - `parent_id` (integer)

  - `parent_type` (string)
    Enum: "registry", "repo", "space"

  - `scope` (integer)

  - `triggers` (array,null)
    Enum: "artifact_created", "artifact_deleted", "branch_created", "branch_deleted", "branch_updated", "merge_queue_checks_canceled", "merge_queue_checks_requested", "pullreq_branch_updated", "pullreq_closed", "pullreq_comment_created", "pullreq_comment_status_updated", "pullreq_comment_updated", "pullreq_created", "pullreq_label_assigned", "pullreq_merged", "pullreq_reopened", "pullreq_review_submitted", "pullreq_target_branch_changed", "pullreq_updated", "tag_created", "tag_deleted", "tag_updated"

  - `updated` (integer)

  - `url` (string)

  - `version` (integer)

## Response 400 fields (application/json):

  - `message` (string)

  - `values` (object)


